## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/snapshots/{snapshotId}

Try it

Gets a Snapshot

### cURL

```
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId} \
  --header 'X-API-Key: <api-key>'
```

### Python

```
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response Codes

- **200** - Snapshot object retrieved.
- **400** - Bad Request error.
- **401** - Unauthorized error.
- **402** - Payment Required error.
- **403** - Forbidden error.
- **404** - Not Found error.
- **500** - Internal Server Error.

### Example Response

```
{
  "name": "New Snapshot",
  "description": "Version 1",
  "isPackaged": true,
  "_id": "<string>",
  "hash": "Version 1",
  "createdBy": "<string>",
  "createdAt": 1694518620
}
```
